> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsolum.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activity



## OpenAPI

````yaml https://api.getsolum.com/openapi.json get /v1/activity-logs
openapi: 3.1.0
info:
  title: Solum Health API
  description: '## Solum Health Backend API '
  version: 1.0.0
servers: []
security: []
paths:
  /v1/activity-logs:
    get:
      tags:
        - Activity Logs
      summary: Activity
      operationId: activity_v1_activity_logs_get
      parameters:
        - name: entity_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Entity Id
        - name: entity_type
          in: query
          required: true
          schema:
            const: prior_authorization
            type: string
            title: Entity Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ActivityLogOut'
                title: Response Activity V1 Activity Logs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: validation_error
                  code:
                    type: string
                    example: invalid_parameter
                  message:
                    type: string
                    example: Field validation failed
                  param:
                    type: string
                    example: phone_number
                required:
                  - type
                  - code
                  - message
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    ActivityLogOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        entity_type:
          type: string
          title: Entity Type
        entity_id:
          type: string
          format: uuid
          title: Entity Id
        action:
          type: string
          title: Action
        changes:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Changes
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        performed_by:
          additionalProperties: true
          type: object
          title: Performed By
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        created_at:
          type: string
          format: date-time
          title: Created At
      additionalProperties: false
      type: object
      required:
        - id
        - entity_type
        - entity_id
        - action
        - changes
        - description
        - performed_by
        - version
        - created_at
      title: ActivityLogOut
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.